//------------------------------------------------------------------------------------------------
//
//   SG Craft - IC2 power unit gui screen
//
//------------------------------------------------------------------------------------------------

package gcewing.sg.ic2;

import org.lwjgl.input.*;
import org.lwjgl.opengl.*;
import static org.lwjgl.opengl.GL11.*;

import net.minecraft.client.gui.*;
import net.minecraft.entity.player.*;
import net.minecraft.world.*;

import gcewing.sg.*;

public class IC2PowerScreen extends BaseGuiContainer {

	final static int guiWidth = 128;
	final static int guiHeight = 64;
	final static String screenTitle = "IC2 SGPU";

	IC2PowerTE te;
	
	public static IC2PowerScreen create(EntityPlayer player, World world, int x, int y, int z) {
		IC2PowerContainer container = IC2PowerContainer.create(player, world, x, y, z);
		if (container != null)
			return new IC2PowerScreen(container);
		else
			return null;
	}
	
	public IC2PowerScreen(IC2PowerContainer container) {
		super(container, guiWidth, guiHeight);
		this.te = container.te;
	}
	
	@Override
	public boolean doesGuiPauseGame() {
		return false;
	}

//	@Override
	protected void drawBackgroundLayer() {
		bindTexture(SGCraft.mod.resourceLocation("textures/gui/ic2_power_gui.png"), 128, 64);
		drawTexturedRect(0, 0, guiWidth, guiHeight, 0, 0);
		int cx = xSize / 2;
		//textColor = 0x004c66;
		drawCenteredString(screenTitle, cx, 8);
		drawRightAlignedString("EU", 72, 28);
		drawRightAlignedString(String.format("%.0f", te.energyBuffer), 121, 28);
		drawRightAlignedString("Max", 72, 42);
		drawRightAlignedString(String.format("%d", te.maxEnergyBuffer), 121, 42);
		drawPowerGauge();
	}
	
	void drawPowerGauge() {
		glEnable(GL_BLEND);
		glBlendFunc(GL_ONE, GL_ONE);
		setColor(1, 0, 0);
		drawRect(19, 27, 25 * te.energyBuffer / te.maxEnergyBuffer, 10);
	}

}
